Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Class GOST28147Parameters

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cryptopro.GOST28147Parameters

All Implemented Interfaces:
  DEREncodable

public class GOST28147Parameters
extends ASN1Encodable

Constructor Summary
`GOST28147Parameters(ASN1Sequence seq)`

Method Summary
`static GOST28147Parameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GOST28147Parameters` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()` Gost28147-89-Parameters ::= SEQUENCE { iv Gost28147-89-IV, encryptionParamSet OBJECT IDENTIFIER } Gost28147-89-IV ::= OCTET STRING (SIZE (8))

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST28147Parameters

    public GOST28147Parameters(ASN1Sequence seq)

Method Detail

### getInstance

    public static GOST28147Parameters getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

### getInstance

    public static GOST28147Parameters getInstance(java.lang.Object obj)

### toASN1Object

    public DERObject toASN1Object()

       Gost28147-89-Parameters ::=
                     SEQUENCE {
                             iv                   Gost28147-89-IV,
                             encryptionParamSet   OBJECT IDENTIFIER
                      }

         Gost28147-89-IV ::= OCTET STRING (SIZE (8))

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD